#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <math.h>
#include <stddef.h>
#include <time.h>
#include <assert.h>
#include "/usr1/local/ilog/cplex70/include/ilcplex/cplex.h"

#define VERBOSE
#define RUN
//#define PRINT

CPXENVptr  env;
CPXLPptr   lp;
int        ncols, nrows;       /* ncols, nrows:     ORIGINAL size of the problem   */
int        nBcols;             /* number of binary variables                       */
int        MinMax;             /* 1/-1 MINimization/MAXimization problem           */
int        Inf;
int        debug;
int        dmax;
int        dBest;
int        dv;
int        kSize;
int        original;
int        lastCardS;
double     t_start, time4Best, timeSlot;
double     Eps;
double     dInf;
double     overallBestValue;

int       *slot;

/* LocBra_sub */
void modifyRow(int type);
void localBranch(char *ctype, double *xBar, int refine, double rhs);
int checkSol(double xBarValue, double *bestValue);
double getSolution(double *xBar);
void refineSolution(double *xBarValue, double *xBar);
//static int CPXPUBLIC 
int mycallback (CPXENVptr env, void *cbdata, int wherefrom, void *cbhandle);

/* tempo.c */
double second();
